Skip to main content
Platform Operations/Platforms

TriggerSyncNow

TriggerSyncNow triggers an immediate one-shot resource sync for a platform. Returns ALREADY_EXISTS if a sync cycle is already in progress. Returns NOT_FOUND if the platform does not exist. Returns FAILED_PRECONDITION if sync is paused or not configured. Returns RESOURCE_EXHAUSTED if this Federation node does not hold the scheduler owner lease. Returns UNAVAILABLE if the owner lease or local owner runtime is unavailable.

POST/api/v1/platforms/{platformUuid}/sync-now

Operation ID

TriggerSyncNow

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • platformUuid
    StringRequired

    platform_uuid is the platform to trigger an immediate sync for.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • taskId
    String

    task_id is the unique identifier for this sync task.

    Example: task-sync-00123

  • platformUuid
    String

    platform_uuid echoes back the target platform.

    Example: plat-abc123-def456

  • status
    String

    status is the initial task status (e.g. "queued").

    Example: queued